public class Circle implements Figure, Comparable {
    private double r;

    public Circle(double radius) {
        r = radius;
    }

    public double area() {
    	return r * r * Math.PI;
    }

    public String toString() {
    	return "Kreis mit Radius "+r;
    }

    public int compareTo(Object o) {
    	Circle c = (Circle) o; // fuehrt ggf. zu ClassCastException
	return (r < c.r) ? -1 :
	                   ((r > c.r) ? 1 : 0);
    }
}
